Describes an object that defines the relationships between parents and children of an element.

### Type parameters

- TNode

### Hierarchy

- HierarchyProvider

## Index

### Methods

- children
- owns
- parent

## Methods

### children

- children(element: TNode): Queryable<TNode> | undefined

- - Defined in types.ts:47

  Gets the children elements for the supplied element.

  #### Parameters

  - element: TNode

  #### Returns Queryable<TNode> | undefined

### Optional owns

- owns(element: TNode): boolean

- - Defined in types.ts:37

  Indicates whether the supplied element is contained within a hierarchy.

  #### Parameters

  - element: TNode

  #### Returns boolean

### parent

- parent(element: TNode): TNode | undefined

- - Defined in types.ts:42

  Gets the parent element for the supplied element.

  #### Parameters

  - element: TNode

  #### Returns TNode | undefined

Generated using TypeDoc